Package org.zkoss.stateless.sul

## Enum IPortallayout.MaximizedMode

- java.lang.Object
- - java.lang.Enum<IPortallayout.MaximizedMode>
  - - org.zkoss.stateless.sul.IPortallayout.MaximizedMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IPortallayout.MaximizedMode>`
  Enclosing interface:
    IPortallayout

      public static enum IPortallayout.MaximizedMode
      extends java.lang.Enum<IPortallayout.MaximizedMode>

  Specifies the maximized mode of `IPortallayout` component

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `column` | To maximize the panel to the column size of the portalchildren which it belongs to.
    `whole` | To maximize the panel to the whole size of the portallayout.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IPortallayout.MaximizedMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IPortallayout.MaximizedMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### whole

          public static final IPortallayout.MaximizedMode whole

      To maximize the panel to the whole size of the portallayout.

    - #### column

          public static final IPortallayout.MaximizedMode column

      To maximize the panel to the column size of the portalchildren which it belongs to.

  - ### Method Detail

    - #### values

          public static IPortallayout.MaximizedMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IPortallayout.MaximizedMode c : IPortallayout.MaximizedMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IPortallayout.MaximizedMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null